[DRE-commits] [SCM] ruby-prawn.git branch, master, updated. upstream/1.0.0_rc1-44-g6e97afc
Cédric Boutillier
cedric.boutillier at gmail.com
Thu Nov 24 23:12:18 UTC 2011
The following commit has been merged in the master branch:
commit 412808508d14d1d60e6aae98f18da9d5219a358e
Author: Cédric Boutillier <cedric.boutillier at gmail.com>
Date: Thu Nov 24 23:00:55 2011 +0100
repack.sh: modify fractal.jpg instead of removing it
diff --git a/debian/README.source b/debian/README.source
index 8469168..eebedbf 100644
--- a/debian/README.source
+++ b/debian/README.source
@@ -6,10 +6,12 @@ The source has been repacked to comply to Debian Free Software Guidelines:
data/fonts/Action Man.dfont
data/fonts/Chalkboard.ttf
data/fonts/comicsans.ttf
+
- files removed because they are available in Debian packages:
data/fonts/DejaVuSans.ttf (ttf-dejavu-core)
data/fonts/Dustismo_Roman.ttf (fonts-dustin)
data/fonts/gkai00mp.ttf (fonts-arphic-gkai00mp)
+
- image and data files removed because their license is not specified, or they
are non-free
data/images/16bit.alpha
@@ -22,7 +24,6 @@ The source has been repacked to comply to Debian Free Software Guidelines:
data/images/dice.dat
data/images/dice_interlaced.png
data/images/dice.png
- data/images/fractal.jpg
data/images/letterhead.jpg
data/images/page_white_text.alpha
data/images/page_white_text.dat
@@ -40,6 +41,7 @@ The source has been repacked to comply to Debian Free Software Guidelines:
- image files with content removed and replaced because their license is not
specified, but are needed for testing the library and building the manual
+ data/images/fractal.jpg
data/images/pigs.jpg
data/images/stef.jpg
diff --git a/debian/repack.sh b/debian/repack.sh
index 5ece5e1..0d8896c 100755
--- a/debian/repack.sh
+++ b/debian/repack.sh
@@ -3,7 +3,7 @@
# fonts or fonts available as Debian packages, and images with unclear
# licensing.
-set -ex
+set -e
DEB_UPSTREAM_VERSION=$(dpkg-parsechangelog | sed -rne 's/^Version: ([^+]+).*/\1/p')
IMGDIR=prawn-$DEB_UPSTREAM_VERSION/data/images
@@ -31,26 +31,36 @@ convert $IMGDIR/pigs.jpg\
-fill red -draw "rectangle 0,0 10,10" \
-fill blue -draw "rectangle 0,10 10,20" \
-fill green -draw "rectangle 10,0 20,10" \
+ -fill black -pointsize 18\
+ -draw "text 20,40 'content removed'"\
+ -draw "text 20,60 'Please consult README.source'"\
+ -draw "text 20,80 'in /usr/share/doc/ruby-prawn/'" $IMGDIR/pigs.jpg
+
+convert $IMGDIR/fractal.jpg\
+ -fill white -draw "color 0,0 reset" \
+ -fill red -draw "rectangle 0,0 10,10" \
+ -fill blue -draw "rectangle 0,10 10,20" \
+ -fill green -draw "rectangle 10,0 20,10" \
-fill black -pointsize 14\
- -draw "text 40,40 'content removed'"\
- -draw "text 40,55 'Please consult README.source'"\
- -draw "text 40,70 'in /usr/share/doc/ruby-prawn/'" $IMGDIR/pigs.jpg
+ -draw "text 20,40 'content removed'"\
+ -draw "text 20,55 'Please consult README.source'"\
+ -draw "text 20,70 'in /usr/share/doc/ruby-prawn/'" $IMGDIR/fractal.jpg
convert $IMGDIR/stef.jpg\
-fill white -draw "color 0,0 reset"\
-fill black -pointsize 8\
- -draw "text 0,0 'content removed'"\
- -draw "text 0,10 'see README.source'"\
- -draw "text 0.20 'in /usr/share/\\'"\
- -draw "text 0,30 ' doc/ruby-prawn'" $IMGDIR/stef.jpg
+ -draw "text 0,10 'content removed'"\
+ -draw "text 0,20 'see README.source'"\
+ -draw "text 0,30 'in /usr/share/\\'"\
+ -draw "text 0,40 ' doc/ruby-prawn'" $IMGDIR/stef.jpg
# remove images not needed for the manual and data until their license is made clear.
-rm -f $IMGDIR/16bit.* $IMGDIR/arrow* $IMGDIR/barcode* $IMGDIR/dice* $IMGDIR/fractal.* $IMGDIR/letter*
+rm -f $IMGDIR/16bit.* $IMGDIR/arrow* $IMGDIR/barcode* $IMGDIR/dice* $IMGDIR/letter*
rm -f $IMGDIR/page* $IMGDIR/rails* $IMGDIR/ruport* $IMGDIR/tru256.bmp $IMGDIR/web-links*
# repack the tarball
mv prawn-$DEB_UPSTREAM_VERSION ruby-prawn-$DEB_UPSTREAM_VERSION.orig
GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
- ../ruby-prawn_$DEB_UPSTREAM_VERSION+dfsg.orig.tar.gz ruby-prawn-$DEB_UPSTREAM_VERSION.orig
+ ../ruby-prawn_$DEB_UPSTREAM_VERSION+dfsg1.orig.tar.gz ruby-prawn-$DEB_UPSTREAM_VERSION.orig
rm -r ruby-prawn-$DEB_UPSTREAM_VERSION.orig
--
ruby-prawn.git
More information about the Pkg-ruby-extras-commits
mailing list